PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningApplyND

Gets a nested dissection partitioning for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningApplyND(MatPartitioning matp,IS *partitioning)

Collective on Mat

### Input Parameters

| matp | - the matrix partitioning object

### Output Parameters

| partitioning | - the partitioning. For each local node, a positive value indicates the processor number the node has been assigned to. Negative x values indicate the separator level -(x+1).

The user can define additional partitionings; see MatPartitioningRegister().

### See Also

MatPartitioningRegister(), MatPartitioningCreate(),
MatPartitioningDestroy(), MatPartitioningSetAdjacency(), ISPartitioningToNumbering(), ISPartitioningCount()

### Level

beginner

### Location

src/mat/partition/partition.c

### Implementations

MatPartitioningApplyND_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningApplyND_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages